/*
 * @Author: WangQiBiao
 * @Date: 2019-09-24 17:50:53
 * @LastEditors: MoZhuangRu
 * @LastEditTime: 2019-12-31 17:18:08
 * @Description:
 */
import Vue from 'vue'
import App from './App.vue'
import router from './route'
import store from './store'
import 'reset.css'
import 'babel-polyfill'
import * as filters from './filters'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '@/assets/css/element-variables.scss'
Vue.use(ElementUI)
// 引入全局过滤器
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
